#include "model.hpp"

int main() {
    SingleQueueModel<Customer> simple_queue;
    Customer person = {1, 2};
    Customer person2 = {3243, 999};
    simple_queue.push(person);
    simple_queue.push(person2);
    std::cout << simple_queue.shift() << std::endl;
    simple_queue.push(person2);
    std::cout << simple_queue.shift() << std::endl;
    std::cout << simple_queue.shift() << std::endl;
    printf("\033[2J\033[10;37Hhello world\033[5m");
    return 0;
}